// BBTAddObjectToTreeCmd.h: interface for the CBBTAddObjectToTreeCmd class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTADDOBJECTTOTREECMD_H__ACDF09BD_2082_487B_AF98_574AEE249F2F__INCLUDED_)
#define AFX_BBTADDOBJECTTOTREECMD_H__ACDF09BD_2082_487B_AF98_574AEE249F2F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTAddObjectToTreeCmd  : public CBongoCommand
{
public:
	CBBTAddObjectToTreeCmd();
	virtual ~CBBTAddObjectToTreeCmd();

	UUID CommandUUID();

public:
	const wchar_t* EnglishCommandName();
	const wchar_t* LocalCommandName() const;
	CRhinoCommand::result RunBongoCommand( const CRhinoCommandContext& );
	
	virtual void DoHelp();
	
private:
	WCHAR m_wszLocalCommandName[BBT_STRING_BUFFER];
};

#endif // !defined(AFX_BBTADDOBJECTTOTREECMD_H__ACDF09BD_2082_487B_AF98_574AEE249F2F__INCLUDED_)
