/////////////////////////////////////////////////////////////////////////////
// StdAfx.h : Include file for standard system include files,
// or project specific include files that are used frequently,
// but are changed infrequently
//

#if !defined(AFX_STDAFX_H__17489F14_91CD_4541_97BA_55316BAB6D18__INCLUDED_)
#define AFX_STDAFX_H__17489F14_91CD_4541_97BA_55316BAB6D18__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers

// Rhino plug-ins must always use the release MFC that Rhino uses.
// Rhino plug-ins that require debugging information need to be built
// with RHINO_DEBUG_PLUGIN defined.
#if defined( _DEBUG )
#error Do not define _DEBUG - use RHINO_DEBUG_PLUGIN instead
#endif

// Rhino SDK Preamble
#include "..\..\..\..\Program Files\Rhino 3.0 SDK\Inc\RhinoSdkStdafxPreamble.h"

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions

#ifndef _AFX_NO_OLE_SUPPORT
#include <afxole.h>         // MFC OLE classes
#include <afxodlgs.h>       // MFC OLE dialog classes
#include <afxdisp.h>        // MFC Automation classes
#endif // _AFX_NO_OLE_SUPPORT


#ifndef _AFX_NO_DB_SUPPORT
#include <afxdb.h>			// MFC ODBC database classes
#endif // _AFX_NO_DB_SUPPORT

#ifndef _AFX_NO_DAO_SUPPORT
#include <afxdao.h>			// MFC DAO database classes
#endif // _AFX_NO_DAO_SUPPORT

#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT


// Add other stuff frequently used by Rhino plug-in developers here
#include <RichEdit.h>
#include <Shlwapi.h>
#include <Imagehlp.h>
#include <io.h>
#include <tchar.h>
#include <atlbase.h>

// Rhino SDK classes
#include "..\..\..\..\Program Files\Rhino 3.0 SDK\Inc\RhinoSdk.h"
#include "BBTPlugin.h"

#pragma comment(lib, "..\\..\\..\\..\\Program Files\\Rhino 3.0 SDK\\lib\\rhino3.lib")
#pragma comment(lib, "..\\..\\..\\..\\Program Files\\Rhino 3.0 SDK\\opennurbs\\lib\\opennurbs_vc60.lib")

#if defined( RHINO_DEBUG_PLUGIN )
// Now that all the system headers are read, we can
// safely define _DEBUG so the developers can test
// for _DEBUG in their code.
#define _DEBUG
#endif


////////////////////////////////////////////////////////////////////////
//
//	OWN STUFF
//

#define CPING_USE_WINSOCK2

#pragma comment(lib,"rpcrt4.lib")
#include "initguid.h"

#include <afxtempl.h>
#include <winsock2.h>
#include <afxpriv.h>

#include "..\\BongoSDK\\Bongo.h"
#include "BBTDefinitions.h"
#include "BBTUtilities.h"
#include "BBTCommandOptionValue.h"
#include "BBTCommandOptionName.h"


#ifdef RHINO_DEBUG_PLUGIN
#pragma comment(lib,"..\\BongoSDK\\Debug\\BongoSDK.lib")
#pragma comment (lib, "LBPLib_debug.lib")
#else
#pragma comment(lib,"..\\BongoSDK\\Release\\BongoSDK.lib")
#pragma comment (lib, "LBPLib.lib")
#endif


#pragma comment(lib,"ws2_32.lib")


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__17489F14_91CD_4541_97BA_55316BAB6D18__INCLUDED_)
