// BongoCommand.h: interface for the CBongoCommand class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BONGOCOMMAND_H__3A95D2AB_39F9_487E_AA11_C1DD401A7D23__INCLUDED_)
#define AFX_BONGOCOMMAND_H__3A95D2AB_39F9_487E_AA11_C1DD401A7D23__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class BO_SDK_API_EXP CBongoCommand  : public CRhinoScriptCommand
{
public:
	CBongoCommand(	bool bTransparent = false,
					bool bDoNotRepeat = false,
					const CRhinoPlugIn* pPlugIn = NULL,
					bool bTestCommand = false);

	~CBongoCommand();

public:
  virtual CRhinoCommand::result RunCommand( const CRhinoCommandContext& );
  virtual void OnExit(const wchar_t*);

protected:
  virtual CRhinoCommand::result RunBongoCommand(const CRhinoCommandContext& ) = 0;

protected:
	bool CheckBongo();

};

#endif // !defined(AFX_BONGOCOMMAND_H__3A95D2AB_39F9_487E_AA11_C1DD401A7D23__INCLUDED_)
