// BongoObjectKeyframe.h: interface for the CBongoObjectKeyframe class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BONGOOBJECTKEYFRAME_H__48CD3A80_2FEC_479F_BF7E_7B5E4A6767A4__INCLUDED_)
#define AFX_BONGOOBJECTKEYFRAME_H__48CD3A80_2FEC_479F_BF7E_7B5E4A6767A4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "BongoKeyframe.h"

class CBongoVariant;

class BO_SDK_API_EXP CBongoObjectKeyframe  : public CBongoKeyframe
{
public:
	CBongoObjectKeyframe(GUID, CBongoVariant);
	virtual ~CBongoObjectKeyframe();

public:
	GUID			KeyframeType() const;
	bool			SetKeyframeType(GUID uuidType);

	CBongoVariant	Value() const;
	bool			SetValue(CBongoVariant Var);	
	
	static CBongoObjectKeyframe* Cast(CBongoKeyframe*);

protected:
	GUID			m_uuidType;
	CBongoVariant	m_value;

};

#endif // !defined(AFX_BONGOOBJECTKEYFRAME_H__48CD3A80_2FEC_479F_BF7E_7B5E4A6767A4__INCLUDED_)
