// BBTRenderAnimationFileCollectionMgr.h: interface for the CBBTRenderAnimationFileCollectionMgr class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BBTRENDERANIMATIONFILECOLLECTIONMGR_H__B5BA1C64_9665_4D0E_9702_B24B9BB8A5C1__INCLUDED_)
#define AFX_BBTRENDERANIMATIONFILECOLLECTIONMGR_H__B5BA1C64_9665_4D0E_9702_B24B9BB8A5C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CBBTRenderAnimationFileCollectionMgr  
{
public:
	CBBTRenderAnimationFileCollectionMgr();
	virtual ~CBBTRenderAnimationFileCollectionMgr();


public:
	bool Initialize();
	void Reset();

	bool FirstFile(CString& sFile);
	bool GetNextFile(CString& sFile);

	void Enable(bool = true);
	bool IsEnbaled();

	bool Render();
	

protected:
	bool GetFileList();


private:
	bool m_bInitialized;
	bool m_bEnabled;
	CArray<CString, CString> m_aFilesToRender;
	int m_iFileCounter;
};

#endif // !defined(AFX_BBTRENDERANIMATIONFILECOLLECTIONMGR_H__B5BA1C64_9665_4D0E_9702_B24B9BB8A5C1__INCLUDED_)
