// LBPFileListBox.cpp: implementation of the CLBPFileListBox class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "LBPFileListBox.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CLBPFileListBox::CLBPFileListBox()
{

}

CLBPFileListBox::~CLBPFileListBox()
{

}

void CLBPFileListBox::OnBrowseButton(int iItem)
{
	CString sItemPath;
	GetText(iItem, sItemPath);

	char BASED_CODE szFilter[] = "Rhino 3d Models(*.3dm)|*.3dm|All Files (*.*)|*.*||";

	CFileDialog dlg(TRUE, ".3dm", sItemPath,
		OFN_ALLOWMULTISELECT|OFN_EXPLORER|OFN_FILEMUSTEXIST|OFN_HIDEREADONLY,
		szFilter);
		
	if(dlg.DoModal()== IDOK)
	{
		CString sPathName;
		POSITION pos = dlg.GetStartPosition();
		while(pos)
		{
			if(sPathName = dlg.GetNextPathName(pos))
			{
				InsertString(-1, sPathName);
			}
		}
	}

}